services:
  sobki_assets.destination_directory_purger:
    class: Drupal\sobki_assets\Service\DestinationDirectoryPurger
    arguments:
      - '@entity_type.manager'
      - '@cache_tags.invalidator'
      - '@file_system'

  sobki_assets.archive_extractor:
    class: Drupal\sobki_assets\Service\ArchiveExtractor
    arguments:
      - '@entity_type.manager'
